## Sid Meier's Civilization 4
## Copyright Firaxis Games 2005

# These would be changes/additions to CvUtil, but I'm not disturbing that file for easier merging and better compatibility.

from CvPythonExtensions import *
from CvUtil import *

gc = CyGlobalContext()

def getInfo(strInfoType, strInfoTag):	# returns info for InfoType
	#set Type to lowercase
	strInfoType = strInfoType.lower()
	strInfoTag = strInfoTag.upper()
	
	#get the appropriate dictionary item
	infoDict = GlobalInfosMap.get(strInfoType)
	#get the number of infos
	numInfos = infoDict['NUM']()
	#loop through each info
	for i in range(numInfos):
		loopInfo = infoDict['GET'](i)		
		if loopInfo.getType() == strInfoTag:
			#and return the one requested
			return loopInfo